<!doctype html><html lang=en><head><meta charset=utf-8><meta name=viewport content="width=device-width,initial-scale=1"><meta property="og:title" content><meta property="og:description" content="Mermaid Chart Mermaid is library for generating svg charts and diagrams from text.
Example {{&lt; mermaid [class=&#34;text-center&#34;]&gt;}} sequenceDiagram Alice-&gt;&gt;Bob: Hello Bob, how are you? alt is sick Bob-&gt;&gt;Alice: Not so good :( else is well Bob-&gt;&gt;Alice: Feeling fresh like a daisy end opt Extra response Bob-&gt;&gt;Alice: Thanks for asking end {{&lt; /mermaid &gt;}}    sequenceDiagram Alice-Bob: Hello Bob, how are you? alt is sick Bob-Alice: Not so good :( else is well Bob-Alice: Feeling fresh like a daisy end opt Extra response Bob-Alice: Thanks for asking end"><meta property="og:type" content="article"><meta property="og:url" content="http://example.org/docs/shortcodes/mermaid/"><title>Mermaid | My New Hugo Site</title><link rel=icon href=/favicon.png type=image/x-icon><link rel=stylesheet href=/book.min.e095d2fc282039b2e0a50cefad944330a73f934c3bd2b9272bb3fdfeb8f4f34d.css integrity="sha256-4JXS/CggObLgpQzvrZRDMKc/k0w70rknK7P9/rj0800="><script defer src=/search.min.740f1d27ff3f9d0685c5c49680df00d940f2e70bee6fc38c7fc599f2646e393d.js integrity="sha256-dA8dJ/8/nQaFxcSWgN8A2UDy5wvub8OMf8WZ8mRuOT0="></script></head><body><input type=checkbox class=hidden id=menu-control><main class="flex container"><aside class="book-menu fixed"><nav><h2 class=book-brand><a href=http://example.org/><span>My New Hugo Site</span></a></h2><div class=book-search><input type=text placeholder=Search id=book-search-input maxlength=64><div class="book-search-spinner spinner hidden"></div><ul id=book-search-results></ul></div><ul><li class=book-section-flat><a href=/docs/example/>Example Site</a><ul><li><a href=/docs/example/table-of-contents/>Table of Contents</a><ul><li><a href=/docs/example/table-of-contents/with-toc/>With ToC</a></li><li><a href=/docs/example/table-of-contents/without-toc/>Without ToC</a></li></ul></li><li><a href=/docs/example/2nd/>2nd</a></li></ul></li><li class=book-section-flat><span>Shortcodes</span><ul><li><a href=/docs/shortcodes/buttons/>Buttons</a></li><li><a href=/docs/shortcodes/columns/>Columns</a></li><li><a href=/docs/shortcodes/datasets/>Datasets</a></li><li><a href=/docs/shortcodes/expand/>Expand</a></li><li><a href=/docs/shortcodes/hints/>Hints</a></li><li><a href=/docs/shortcodes/katex/>Katex</a></li><li><a href=/docs/shortcodes/mermaid/ class=active>Mermaid</a></li><li><a href=/docs/shortcodes/runs/>Runs</a></li><li><a href=/docs/shortcodes/tabs/>Tabs</a></li></ul></li></ul></nav><script>(function(){var menu=document.querySelector("aside.book-menu nav");addEventListener("beforeunload",function(event){localStorage.setItem("menu.scrollTop",menu.scrollTop);});menu.scrollTop=localStorage.getItem("menu.scrollTop");})();</script></aside><div class=book-page><header class="flex align-center justify-between book-header"><label for=menu-control><img src=/svg/menu.svg alt=Menu></label>
<strong>Mermaid</strong></header><article class=markdown><h1 id=mermaid-chart>Mermaid Chart</h1><p><a href=https://mermaidjs.github.io/>Mermaid</a> is library for generating svg charts and diagrams from text.</p><h2 id=example>Example</h2><div class="book-columns flex flex-wrap"><div class="flex-even markdown-inner"><pre><code class=language-tpl>{{&lt; mermaid [class=&quot;text-center&quot;]&gt;}}
sequenceDiagram
    Alice-&gt;&gt;Bob: Hello Bob, how are you?
    alt is sick
        Bob-&gt;&gt;Alice: Not so good :(
    else is well
        Bob-&gt;&gt;Alice: Feeling fresh like a daisy
    end
    opt Extra response
        Bob-&gt;&gt;Alice: Thanks for asking
    end
{{&lt; /mermaid &gt;}}
</code></pre></div><div class="flex-even markdown-inner"><script src=/mermaid.min.js></script><p class=mermaid>sequenceDiagram
Alice->>Bob: Hello Bob, how are you?
alt is sick
Bob->>Alice: Not so good :(
else is well
Bob->>Alice: Feeling fresh like a daisy
end
opt Extra response
Bob->>Alice: Thanks for asking
end</div></div></article></div><aside class="book-toc levels-6 fixed"><nav id=TableOfContents><ul><li><a href=#mermaid-chart>Mermaid Chart</a><ul><li><a href=#example>Example</a></li></ul></li></ul></nav></aside></main></body></html>